import{s as de,n as ce,o as ve}from"../chunks/scheduler.389d799c.js";import{S as $e,i as Me,g as a,s,r as Y,A as we,h as o,f as n,c as l,j as ue,u as B,x as r,k as ge,y as xe,a as i,v as F,d as J,t as K,w as X}from"../chunks/index.8f81d18f.js";import{H as Z,E as _e}from"../chunks/EditOnGithub.33306dfe.js";function ye(ee){let m,L,T,P,h,A,p,te="New solutions have emerged that address the limitations of Marching Cubes, allowing the conversion of dense meshes to low-poly meshes.",E,f,ne="Earlier in the course, we highlighted the significance of <strong>differentiability</strong> and how mesh rendering is non-differentiable, involving discrete decisions like:",k,u,ie="<li>Is this pixel inside the triangle?</li>",D,g,se="While this remains true, new research introduces a differentiable approach to mesh generation by treating mesh triangles as discrete symbols, similar to words in a language model.",j,d,z,c,le='<a href="https://huggingface.co/spaces/Yiwen-ntu/MeshAnything" rel="nofollow">MeshAnything</a> is a recent research project that converts dense meshes to low-poly meshes using techniques introduced in <a href="https://huggingface.co/papers/2311.15475" rel="nofollow">MeshGPT</a>.',G,v,ae="The main components of MeshAnything are:",V,$,oe="<li><strong>VQ-VAE Encoder:</strong> Encodes dense 3D data to a discrete latent representation using a Vector Quantization (VQ) Variational Autoencoder (VAE).</li> <li><strong>Autoregressive Transformer Decoder:</strong> Generates the triangles of the mesh using an autoregressive transformer decoder.</li>",q,M,re='More details can be found in the paper <a href="https://huggingface.co/papers/2406.10163" rel="nofollow">MeshAnything: Artist-Created Mesh Generation with Autoregressive Transformers</a>.',I,w,me='<img src="https://huggingface.co/datasets/dylanebert/ml-for-3d-course/resolve/main/meshanything-demo.gif" alt="MeshAnything Demo"/>',Q,x,S,_,he="MeshAnything represents a major step in 3D mesh generation, addressing a major bottleneck toward practical generative 3D tools.",O,y,pe='However, the current results are comparable to or worse than traditional topology reduction methods like <a href="https://docs.blender.org/manual/en/latest/modeling/modifiers/generate/decimate.html" rel="nofollow">Decimate</a>, still requiring significant manual refinement.',U,C,fe="Differentiable mesh generation opens the door to context-aware topology reduction, i.e. accounting for shape and deformation. While still a work in progress, solving this will lead to highly practical 3D tools.",W,b,N,H,R;return h=new Z({props:{title:"Mesh Generation",local:"mesh-generation",headingTag:"h1"}}),d=new Z({props:{title:"MeshAnything",local:"meshanything",headingTag:"h2"}}),x=new Z({props:{title:"Implications",local:"implications",headingTag:"h2"}}),b=new _e({props:{source:"https://github.com/huggingface/ml-for-3d-course/blob/main/units/en/unit4/mesh-generation.mdx"}}),{c(){m=a("meta"),L=s(),T=a("p"),P=s(),Y(h.$$.fragment),A=s(),p=a("p"),p.textContent=te,E=s(),f=a("p"),f.innerHTML=ne,k=s(),u=a("ul"),u.innerHTML=ie,D=s(),g=a("p"),g.textContent=se,j=s(),Y(d.$$.fragment),z=s(),c=a("p"),c.innerHTML=le,G=s(),v=a("p"),v.textContent=ae,V=s(),$=a("ol"),$.innerHTML=oe,q=s(),M=a("p"),M.innerHTML=re,I=s(),w=a("p"),w.innerHTML=me,Q=s(),Y(x.$$.fragment),S=s(),_=a("p"),_.textContent=he,O=s(),y=a("p"),y.innerHTML=pe,U=s(),C=a("p"),C.textContent=fe,W=s(),Y(b.$$.fragment),N=s(),H=a("p"),this.h()},l(e){const t=we("svelte-u9bgzb",document.head);m=o(t,"META",{name:!0,content:!0}),t.forEach(n),L=l(e),T=o(e,"P",{}),ue(T).forEach(n),P=l(e),B(h.$$.fragment,e),A=l(e),p=o(e,"P",{"data-svelte-h":!0}),r(p)!=="svelte-48a03c"&&(p.textContent=te),E=l(e),f=o(e,"P",{"data-svelte-h":!0}),r(f)!=="svelte-1lzhmp9"&&(f.innerHTML=ne),k=l(e),u=o(e,"UL",{"data-svelte-h":!0}),r(u)!=="svelte-19d9d9h"&&(u.innerHTML=ie),D=l(e),g=o(e,"P",{"data-svelte-h":!0}),r(g)!=="svelte-1bkky69"&&(g.textContent=se),j=l(e),B(d.$$.fragment,e),z=l(e),c=o(e,"P",{"data-svelte-h":!0}),r(c)!=="svelte-b9n2h9"&&(c.innerHTML=le),G=l(e),v=o(e,"P",{"data-svelte-h":!0}),r(v)!=="svelte-dfc9m0"&&(v.textContent=ae),V=l(e),$=o(e,"OL",{"data-svelte-h":!0}),r($)!=="svelte-1ndyad0"&&($.innerHTML=oe),q=l(e),M=o(e,"P",{"data-svelte-h":!0}),r(M)!=="svelte-zgdqku"&&(M.innerHTML=re),I=l(e),w=o(e,"P",{"data-svelte-h":!0}),r(w)!=="svelte-11jb2f3"&&(w.innerHTML=me),Q=l(e),B(x.$$.fragment,e),S=l(e),_=o(e,"P",{"data-svelte-h":!0}),r(_)!=="svelte-16jdmkg"&&(_.textContent=he),O=l(e),y=o(e,"P",{"data-svelte-h":!0}),r(y)!=="svelte-5qo7fk"&&(y.innerHTML=pe),U=l(e),C=o(e,"P",{"data-svelte-h":!0}),r(C)!=="svelte-1jzzi78"&&(C.textContent=fe),W=l(e),B(b.$$.fragment,e),N=l(e),H=o(e,"P",{}),ue(H).forEach(n),this.h()},h(){ge(m,"name","hf:doc:metadata"),ge(m,"content",Ce)},m(e,t){xe(document.head,m),i(e,L,t),i(e,T,t),i(e,P,t),F(h,e,t),i(e,A,t),i(e,p,t),i(e,E,t),i(e,f,t),i(e,k,t),i(e,u,t),i(e,D,t),i(e,g,t),i(e,j,t),F(d,e,t),i(e,z,t),i(e,c,t),i(e,G,t),i(e,v,t),i(e,V,t),i(e,$,t),i(e,q,t),i(e,M,t),i(e,I,t),i(e,w,t),i(e,Q,t),F(x,e,t),i(e,S,t),i(e,_,t),i(e,O,t),i(e,y,t),i(e,U,t),i(e,C,t),i(e,W,t),F(b,e,t),i(e,N,t),i(e,H,t),R=!0},p:ce,i(e){R||(J(h.$$.fragment,e),J(d.$$.fragment,e),J(x.$$.fragment,e),J(b.$$.fragment,e),R=!0)},o(e){K(h.$$.fragment,e),K(d.$$.fragment,e),K(x.$$.fragment,e),K(b.$$.fragment,e),R=!1},d(e){e&&(n(L),n(T),n(P),n(A),n(p),n(E),n(f),n(k),n(u),n(D),n(g),n(j),n(z),n(c),n(G),n(v),n(V),n($),n(q),n(M),n(I),n(w),n(Q),n(S),n(_),n(O),n(y),n(U),n(C),n(W),n(N),n(H)),n(m),X(h,e),X(d,e),X(x,e),X(b,e)}}}const Ce='{"title":"Mesh Generation","local":"mesh-generation","sections":[{"title":"MeshAnything","local":"meshanything","sections":[],"depth":2},{"title":"Implications","local":"implications","sections":[],"depth":2}],"depth":1}';function be(ee){return ve(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Pe extends $e{constructor(m){super(),Me(this,m,be,ye,de,{})}}export{Pe as component};
