import{s as ge,f as xe,n as _e,o as $e}from"../chunks/scheduler.389d799c.js";import{S as ye,i as be,g as i,s as a,r as Q,A as Ce,h as o,f as n,c as l,j as ne,u as V,x as r,k as M,y as Te,a as s,v as X,d as Z,t as ee,w as te}from"../chunks/index.8f81d18f.js";import{H as se,E as ke}from"../chunks/EditOnGithub.33306dfe.js";function Me(ae){let p,L,P,G,f,S,u,le='While nearly all 3D is represented as <a href="meshes">meshes</a> in real-world applications today, 3D machine learning research often uses non-mesh representations, which are later converted to meshes.',D,m,ie="These non-mesh representations may be things like:",E,c,oe='<li>Triplanes, such as in <a href="https://huggingface.co/TencentARC/InstantMesh" rel="nofollow">InstantMesh</a>.</li> <li><a href="https://en.wikipedia.org/wiki/Neural_radiance_field" rel="nofollow">NeRFs</a>, such as in <a href="https://huggingface.co/papers/2312.04560" rel="nofollow">NeRFiller</a></li> <li><a href="https://en.wikipedia.org/wiki/Gaussian_splatting" rel="nofollow">Splats</a>, such as in <a href="https://huggingface.co/ashawkey/LGM" rel="nofollow">LGM</a>.</li>',I,d,re="These approaches are constantly evolving and may even have changed by the time you’re reading this.",R,v,he="Fortunately, in most cases, this can be treated as a black box. You don’t need to understand the details of these non-mesh representations to use them in your work.",A,w,pe="There is, however, one representation that stands out.",F,h,fe,N,g,j,x,ue='A special case of non-mesh representation is splats, or <a href="https://en.wikipedia.org/wiki/Gaussian_splatting" rel="nofollow">Gaussian Splatting</a>.',z,_,me='This is because splats can be rendered in real-time, unlike the other non-mesh representations. They are also capable of features like <a href="https://huggingface.co/spaces/dylanebert/4DGS-demo" rel="nofollow">animation</a>, <a href="https://x.com/HugoDuprez/status/1766019907769000229" rel="nofollow">physics (hybrid)</a>, and <a href="https://x.com/Ruben_Fro/status/1719996105675698452" rel="nofollow">lighting</a>.',W,$,ce="This means that theoretically, splats could replace meshes in real-world applications. However, the entire real-world 3D ecosystem is built around meshes, so it’s unlikely that splats will replace them. They are more likely to have a role in the 3D ecosystem alongside meshes, especially for anticipated applications like real-time generative 3D.",q,y,O,b,de="We’ll be covering both meshes and Gaussian splatting.",U,C,ve='While current <a href="https://huggingface.co/TencentARC/InstantMesh" rel="nofollow">state-of-the-art</a> uses triplanes, we won’t dive deep into these specifics in this course since they are constantly evolving.',Y,T,we="Instead, we will focus on the building blocks of 3D machine learning research. Then, we’ll dive deeper into Gaussian Splatting and meshes, since they can be used in real-world applications today.",B,k,J,H,K;return f=new se({props:{title:"Non-meshes",local:"non-meshes",headingTag:"h1"}}),g=new se({props:{title:"Gaussian Splatting",local:"gaussian-splatting",headingTag:"h2"}}),y=new se({props:{title:"In this course",local:"in-this-course",headingTag:"h2"}}),k=new ke({props:{source:"https://github.com/huggingface/ml-for-3d-course/blob/main/units/en/unit1/non-meshes.mdx"}}),{c(){p=i("meta"),L=a(),P=i("p"),G=a(),Q(f.$$.fragment),S=a(),u=i("p"),u.innerHTML=le,D=a(),m=i("p"),m.textContent=ie,E=a(),c=i("ol"),c.innerHTML=oe,I=a(),d=i("p"),d.textContent=re,R=a(),v=i("p"),v.textContent=he,A=a(),w=i("p"),w.textContent=pe,F=a(),h=i("iframe"),N=a(),Q(g.$$.fragment),j=a(),x=i("p"),x.innerHTML=ue,z=a(),_=i("p"),_.innerHTML=me,W=a(),$=i("p"),$.textContent=ce,q=a(),Q(y.$$.fragment),O=a(),b=i("p"),b.textContent=de,U=a(),C=i("p"),C.innerHTML=ve,Y=a(),T=i("p"),T.textContent=we,B=a(),Q(k.$$.fragment),J=a(),H=i("p"),this.h()},l(e){const t=Ce("svelte-u9bgzb",document.head);p=o(t,"META",{name:!0,content:!0}),t.forEach(n),L=l(e),P=o(e,"P",{}),ne(P).forEach(n),G=l(e),V(f.$$.fragment,e),S=l(e),u=o(e,"P",{"data-svelte-h":!0}),r(u)!=="svelte-5xxfbf"&&(u.innerHTML=le),D=l(e),m=o(e,"P",{"data-svelte-h":!0}),r(m)!=="svelte-1c7sy4k"&&(m.textContent=ie),E=l(e),c=o(e,"OL",{"data-svelte-h":!0}),r(c)!=="svelte-vrrjx3"&&(c.innerHTML=oe),I=l(e),d=o(e,"P",{"data-svelte-h":!0}),r(d)!=="svelte-i5k6em"&&(d.textContent=re),R=l(e),v=o(e,"P",{"data-svelte-h":!0}),r(v)!=="svelte-2w3f74"&&(v.textContent=he),A=l(e),w=o(e,"P",{"data-svelte-h":!0}),r(w)!=="svelte-1ow95p"&&(w.textContent=pe),F=l(e),h=o(e,"IFRAME",{src:!0,frameborder:!0,width:!0,height:!0}),ne(h).forEach(n),N=l(e),V(g.$$.fragment,e),j=l(e),x=o(e,"P",{"data-svelte-h":!0}),r(x)!=="svelte-1kb92xw"&&(x.innerHTML=ue),z=l(e),_=o(e,"P",{"data-svelte-h":!0}),r(_)!=="svelte-7h0vgf"&&(_.innerHTML=me),W=l(e),$=o(e,"P",{"data-svelte-h":!0}),r($)!=="svelte-1lp419m"&&($.textContent=ce),q=l(e),V(y.$$.fragment,e),O=l(e),b=o(e,"P",{"data-svelte-h":!0}),r(b)!=="svelte-1klfkej"&&(b.textContent=de),U=l(e),C=o(e,"P",{"data-svelte-h":!0}),r(C)!=="svelte-o1gco8"&&(C.innerHTML=ve),Y=l(e),T=o(e,"P",{"data-svelte-h":!0}),r(T)!=="svelte-y1z474"&&(T.textContent=we),B=l(e),V(k.$$.fragment,e),J=l(e),H=o(e,"P",{}),ne(H).forEach(n),this.h()},h(){M(p,"name","hf:doc:metadata"),M(p,"content",Pe),xe(h.src,fe="https://dylanebert-gsplat-editor.hf.space")||M(h,"src",fe),M(h,"frameborder","0"),M(h,"width","850"),M(h,"height","450")},m(e,t){Te(document.head,p),s(e,L,t),s(e,P,t),s(e,G,t),X(f,e,t),s(e,S,t),s(e,u,t),s(e,D,t),s(e,m,t),s(e,E,t),s(e,c,t),s(e,I,t),s(e,d,t),s(e,R,t),s(e,v,t),s(e,A,t),s(e,w,t),s(e,F,t),s(e,h,t),s(e,N,t),X(g,e,t),s(e,j,t),s(e,x,t),s(e,z,t),s(e,_,t),s(e,W,t),s(e,$,t),s(e,q,t),X(y,e,t),s(e,O,t),s(e,b,t),s(e,U,t),s(e,C,t),s(e,Y,t),s(e,T,t),s(e,B,t),X(k,e,t),s(e,J,t),s(e,H,t),K=!0},p:_e,i(e){K||(Z(f.$$.fragment,e),Z(g.$$.fragment,e),Z(y.$$.fragment,e),Z(k.$$.fragment,e),K=!0)},o(e){ee(f.$$.fragment,e),ee(g.$$.fragment,e),ee(y.$$.fragment,e),ee(k.$$.fragment,e),K=!1},d(e){e&&(n(L),n(P),n(G),n(S),n(u),n(D),n(m),n(E),n(c),n(I),n(d),n(R),n(v),n(A),n(w),n(F),n(h),n(N),n(j),n(x),n(z),n(_),n(W),n($),n(q),n(O),n(b),n(U),n(C),n(Y),n(T),n(B),n(J),n(H)),n(p),te(f,e),te(g,e),te(y,e),te(k,e)}}}const Pe='{"title":"Non-meshes","local":"non-meshes","sections":[{"title":"Gaussian Splatting","local":"gaussian-splatting","sections":[],"depth":2},{"title":"In this course","local":"in-this-course","sections":[],"depth":2}],"depth":1}';function He(ae){return $e(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class De extends ye{constructor(p){super(),be(this,p,He,Me,ge,{})}}export{De as component};
